Bug 20980 - TexturedVideo is offsetted wrongly on dualhead
Summary: TexturedVideo is offsetted wrongly on dualhead
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Carl Worth
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: NEEDINFO
Depends on:
Blocks: 20276
  Show dependency treegraph
 
Reported: 2009-03-31 12:38 UTC by Matthias Bläsing
Modified: 2009-04-07 15:06 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Screenshot of the bug (145.51 KB, image/png)
2009-03-31 12:40 UTC, Matthias Bläsing
no flags Details
Xorg.0.log of current session (the bug is still there ;-) (109.37 KB, text/plain)
2009-04-01 12:20 UTC, Matthias Bläsing
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Bläsing 2009-03-31 12:38:49 UTC
Hey,

when I play a video via Textured Video and move the window onto the border between my two screens, I get the video splitted in the half and the two halfs placed onto the wrong sides of the screen. It beginns, when approx. 50% of the window are place on the second screen.

I'll attach a screenshot, that should explain it better. You can see the offset in the picture and the red line marks the approximate place, where the two screens touch.

Regards

Matthias
Comment 1 Matthias Bläsing 2009-03-31 12:40:36 UTC
Created attachment 24405 [details]
Screenshot of the bug
Comment 2 Gordon Jin 2009-03-31 18:34:51 UTC
Please provide more info according to http://intellinuxgraphics.org/how_to_report_bug.html, like driver version and Xorg.0.log.

Are you using composite window manager like compiz?
Comment 3 Matthias Bläsing 2009-04-01 12:18:04 UTC
Ok - here we go:

Version Info:
=============

Chipset: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller
system architecture: i686
xf86-video-intel/xserver/mesa/libdrm version: 
kernel version: 2.6.29
Linux distribution: Debian
Machine or mobo model: Fujitsu Lifebook E8410
Display connector: LVDS + DVI-D


Steps to reproduce:
===================
1.) Setup Dualhead:
xrandr --output LVDS --mode 1680x1050 --output TMDS-1 --mode 1280x1050 --right-of LVDS
2.) Run totem/xine/whatever XV enable player available
3.) move the video window over the border between the two screens


Comment 4 Matthias Bläsing 2009-04-01 12:20:19 UTC
Created attachment 24445 [details]
Xorg.0.log of current session (the bug is still there ;-)
Comment 5 Carl Worth 2009-04-06 14:49:00 UTC
Hi Matthias,

I just ran into the same bug, and also came up with a fix which I've posted here:

http://lists.freedesktop.org/archives/intel-gfx/2009-April/001994.html

If you want to test the fix, that would be great, (and please report back if it doesn't work for you).

Otherwise, I'll be closing this bug as soon as the fix lands in the repository. I do expect that the fix will be in the upcoming 2.7 release of the driver.

Thanks for your report,

-Carl
Comment 6 Matthias Bläsing 2009-04-07 11:51:29 UTC
Just applied the patch to git version 375b2e40fcb17e94538a75392950e2533c1bb031 and it works as expected. I still have to test head, but yesterday head just gave me a white window.
Comment 7 Carl Worth 2009-04-07 15:06:22 UTC
(In reply to comment #6)
> Just applied the patch to git version 375b2e40fcb17e94538a75392950e2533c1bb031
> and it works as expected. I still have to test head, but yesterday head just
> gave me a white window.

Thanks for confirming the fix. It's in both master and the 2.7 branch now.

-Carl


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.